//	CryptPlugin
#ifndef CRYPTPLUGIN_H
#define CRYPTPLUGIN_H

#include <QObject>
#include <QString>
#include <QStringList>
#include <QByteArray>
#include "interfaces.h"

class CryptPlugin : public QObject, public CryptInterface
{
    Q_OBJECT
    Q_INTERFACES(CryptInterface)

public:
   virtual int Decrypt( const QByteArray& byteArray, const QString& sPassWd, QString& sOutputString );
   virtual int Encrypt( const QString& sInputString, const QString& sPassWd, QByteArray& byteArray );
};

#endif // CRYPTPLUGIN_H
